%define tarname drb
Summary: Distributed Ruby
Name: ruby-drb
Version: 2.0.4
Release: 1
License: Dual-licensed GPL/Artistic-like
Group: Applications/Ruby
Source: http://www2a.biglobe.ne.jp/~seki/ruby/%{tarname}-%{version}.tar.gz
URL: http://www2a.biglobe.ne.jp/~seki/ruby/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
%define ruby18 %( [ `ruby -r rbconfig -e 'print Config::CONFIG["MAJOR"], ".", Config::CONFIG["MINOR"]'` = '1.8' ] && echo 1 || echo 0 )

%if %{ruby18}
Requires: ruby >= 1.8.0
%else
Requires: ruby >= 1.6.0
%endif

%description
Distributed Ruby can send messages to other Ruby script in the same way
as Java's RMI.

%prep
%setup -n %{tarname}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
find lib -type f | \
	xargs ruby -i -pe 'sub("/usr/local/bin/ruby", "/usr/bin/ruby")'
find sample -type f | \
	xargs ruby -i -pe 'sub("/usr/local/bin/ruby", "/usr/bin/ruby")'
eval sitelibdir=`ruby -r rbconfig -e 'p Config::CONFIG["sitelibdir"]'`
mkdir -p $RPM_BUILD_ROOT$sitelibdir
ruby install.rb -d $RPM_BUILD_ROOT$sitelibdir
find $RPM_BUILD_ROOT$sitelibdir -type f -print | \
    ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc -P doc/ runit/ sample/

%changelog
* Sun Jun 29 2003 Ian Macdonald <ian@caliban.org> 2.0.4-1
- 2.0.4

* Sat Jun 21 2003 Ian Macdonald <ian@caliban.org> 2.0.3-1
- 2.0.3

* Sun Jan 19 2003 Ian Macdonald <ian@caliban.org>
- 2.0b1

* Tue May 14 2002 Ian Macdonald <ian@caliban.org>
- 1.3.6
